# Control

(PHP 7, UI 0.9.9)

## Introduction

This is the closed base class for all UI Controls.

## Class synopsis

final UI\Control {
/* Methods */
public destroy ( void )
public disable ( void )
public enable ( void )
public getParent ( void ) : UI\Control
public getTopLevel ( void ) : int
public hide ( void )
public isEnabled ( void ) : bool
public isVisible ( void ) : bool
public setParent ( UI\Control `$parent` )
public show ( void )
}

## Table of Contents

- UI\Control::destroy — Destroy Control
- UI\Control::disable — Disable Control
- UI\Control::enable — Enable Control
- UI\Control::getParent — Get Parent Control
- UI\Control::getTopLevel — Get Top Level
- UI\Control::hide — Hide Control
- UI\Control::isEnabled — Determine if Control is enabled
- UI\Control::isVisible — Determine if Control is visible
- UI\Control::setParent — Set Parent Control
- UI\Control::show — Control Show